Skip Menu |
 

This queue is for tickets about the Catalyst-Plugin-Authentication CPAN distribution.

Report information
The Basics
Id: 43817
Status: resolved
Priority: 0/
Queue: Catalyst-Plugin-Authentication

People
Owner: bobtfish [...] bobtfish.net
Requestors: mario.minati [...] googlemail.com
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 0.10011



CC: mario.minati [...] minati.de
Subject: installing a new version (with cpan) doesn't work
Date: Tue, 3 Mar 2009 02:56:59 +0100
To: bug-Catalyst-Plugin-Authentication [...] rt.cpan.org
From: Mario Minati <mario.minati [...] googlemail.com>
Hello, I was just trying to update my current version (0.1007) and discovered the following error in the test scripts. Thanks for any help, Mario Minati $ perl -v This is perl, v5.8.8 built for i486-linux-gnu-thread-multi $ uname -a Linux artemis 2.6.24-19-386 #1 Fri Jul 11 22:45:14 UTC 2008 i686 GNU/Linux $ sudo cpan Catalyst::Plugin::Authentication CPAN: Storable loaded ok (v2.18) Going to read /home/mario/.cpan/Metadata Database was generated on Sun, 01 Mar 2009 22:26:52 GMT Running install for module 'Catalyst::Plugin::Authentication' Running make for B/BO/BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz CPAN: Digest::SHA loaded ok (v5.45) CPAN: Compress::Zlib loaded ok (v2.008) Checksum for /home/mario/.cpan/sources/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz ok Catalyst-Plugin-Authentication-0.10010/ Catalyst-Plugin-Authentication-0.10010/Changes Catalyst-Plugin-Authentication-0.10010/inc/ Catalyst-Plugin-Authentication-0.10010/inc/Module/ Catalyst-Plugin-Authentication-0.10010/inc/Module/AutoInstall.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/ Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/AutoInstall.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Base.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Can.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Fetch.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Include.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Makefile.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Metadata.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/Win32.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install/WriteAll.pm Catalyst-Plugin-Authentication-0.10010/inc/Module/Install.pm Catalyst-Plugin-Authentication-0.10010/lib/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Credential/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Credential/Password.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Realm/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Realm/Compatibility.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Realm/Progressive.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Realm.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Store/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Store/Minimal.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Store/Null.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/Store.pod Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/User/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/User/Hash.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Authentication/User.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/Credential/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/Credential/Password.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/Internals.pod Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/Store/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/Store/Minimal.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/User/ Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/User/Hash.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication/User.pm Catalyst-Plugin-Authentication-0.10010/lib/Catalyst/Plugin/Authentication.pm Catalyst-Plugin-Authentication-0.10010/Makefile.PL Catalyst-Plugin-Authentication-0.10010/MANIFEST Catalyst-Plugin-Authentication-0.10010/META.yml Catalyst-Plugin-Authentication-0.10010/README Catalyst-Plugin-Authentication-0.10010/t/ Catalyst-Plugin-Authentication-0.10010/t/04_authentication.t Catalyst-Plugin-Authentication-0.10010/t/05_password.t Catalyst-Plugin-Authentication-0.10010/t/06_user.t Catalyst-Plugin-Authentication-0.10010/t/lib/ Catalyst-Plugin-Authentication-0.10010/t/lib/AuthRealmTestApp.pm Catalyst-Plugin-Authentication-0.10010/t/lib/AuthRealmTestAppCompat.pm Catalyst-Plugin-Authentication-0.10010/t/lib/AuthRealmTestAppProgressive.pm Catalyst-Plugin-Authentication-0.10010/t/lib/AuthSessionTestApp.pm Catalyst-Plugin-Authentication-0.10010/t/lib/AuthTestApp.pm Catalyst-Plugin-Authentication-0.10010/t/live_app.t Catalyst-Plugin-Authentication-0.10010/t/live_app_realms.t Catalyst-Plugin-Authentication-0.10010/t/live_app_realms_compat.t Catalyst-Plugin-Authentication-0.10010/t/live_app_realms_progressive.t Catalyst-Plugin-Authentication-0.10010/t/live_app_session.t Catalyst-Plugin-Authentication-0.10010/t/pod.t Catalyst-Plugin-Authentication-0.10010/t/pod_coverage.t CPAN: File::Temp loaded ok (v0.19) CPAN: YAML loaded ok (v0.66) CPAN.pm: Going to build B/BO/BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz *** Module::AutoInstall version 1.03 *** Checking for Perl dependencies... [Core Features] - Test::More ...loaded. (0.8) - Test::Exception ...loaded. (0.25) - Test::MockObject ...loaded. (1.08) - Catalyst::Runtime ...loaded. (5.71) - Class::Inspector ...loaded. (1.23) - MRO::Compat ...loaded. (0.09) - Catalyst::Plugin::Session ...loaded. (0.20 >= 0.10) *** Module::AutoInstall configuration finished. Checking if your kit is complete... Looks good Writing Makefile for Catalyst::Plugin::Authentication cp lib/Catalyst/Authentication/Realm/Progressive.pm blib/lib/Catalyst/Authentication/Realm/Progressive.pm cp lib/Catalyst/Authentication/User.pm blib/lib/Catalyst/Authentication/User.pm cp lib/Catalyst/Authentication/Store/Minimal.pm blib/lib/Catalyst/Authentication/Store/Minimal.pm cp lib/Catalyst/Plugin/Authentication/Store/Minimal.pm blib/lib/Catalyst/Plugin/Authentication/Store/Minimal.pm cp lib/Catalyst/Authentication/Store/Null.pm blib/lib/Catalyst/Authentication/Store/Null.pm cp lib/Catalyst/Authentication/Credential/Password.pm blib/lib/Catalyst/Authentication/Credential/Password.pm cp lib/Catalyst/Authentication/Realm/Compatibility.pm blib/lib/Catalyst/Authentication/Realm/Compatibility.pm cp lib/Catalyst/Plugin/Authentication.pm blib/lib/Catalyst/Plugin/Authentication.pm cp lib/Catalyst/Authentication/User/Hash.pm blib/lib/Catalyst/Authentication/User/Hash.pm cp lib/Catalyst/Authentication/Realm.pm blib/lib/Catalyst/Authentication/Realm.pm cp lib/Catalyst/Plugin/Authentication/Internals.pod blib/lib/Catalyst/Plugin/Authentication/Internals.pod cp lib/Catalyst/Plugin/Authentication/Credential/Password.pm blib/lib/Catalyst/Plugin/Authentication/Credential/Password.pm cp lib/Catalyst/Plugin/Authentication/User/Hash.pm blib/lib/Catalyst/Plugin/Authentication/User/Hash.pm cp lib/Catalyst/Plugin/Authentication/User.pm blib/lib/Catalyst/Plugin/Authentication/User.pm cp lib/Catalyst/Authentication/Store.pod blib/lib/Catalyst/Authentication/Store.pod Manifying blib/man3/Catalyst::Authentication::Realm::Progressive.3pm Manifying blib/man3/Catalyst::Authentication::Store::Minimal.3pm Manifying blib/man3/Catalyst::Authentication::User.3pm Manifying blib/man3/Catalyst::Plugin::Authentication::Store::Minimal.3pm Manifying blib/man3/Catalyst::Authentication::Store::Null.3pm Manifying blib/man3/Catalyst::Authentication::Credential::Password.3pm Manifying blib/man3/Catalyst::Plugin::Authentication.3pm Manifying blib/man3/Catalyst::Authentication::Realm::Compatibility.3pm Manifying blib/man3/Catalyst::Plugin::Authentication::Credential::Password.3pm Manifying blib/man3/Catalyst::Plugin::Authentication::Internals.3pm Manifying blib/man3/Catalyst::Plugin::Authentication::User::Hash.3pm Manifying blib/man3/Catalyst::Plugin::Authentication::User.3pm Manifying blib/man3/Catalyst::Authentication::Store.3pm BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz /usr/bin/make -- OK Running make test PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/04_authentication.t t/05_password.t t/06_user.t t/live_app.t t/live_app_realms.t t/live_app_realms_compat.t t/live_app_realms_progressive.t t/live_app_session.t t/pod.t t/pod_coverage.t t/04_authentication..............ok t/05_password....................ok t/06_user........................ok t/live_app.......................ok t/live_app_realms................ok t/live_app_realms_compat.........ok t/live_app_realms_progressive....[debug] No Store specified for realm "progressive", using the Null store. t/live_app_realms_progressive....ok t/live_app_session...............1/29 [error] Store claimed to have a restorable user, but restoration failed. Did you change the user's id_field? HTTP::Message content must be bytes at /usr/local/share/perl/5.8.8/Test/WWW/Mechanize/Catalyst.pm line 92 # Looks like you planned 29 tests but only ran 16. # Looks like your test died just after 16. t/live_app_session............... Dubious, test returned 255 (wstat 65280, 0xff00) Failed 13/29 subtests t/pod............................skipped: set TEST_POD to enable this test t/pod_coverage...................skipped: set TEST_POD to enable this test Test Summary Report ------------------- t/live_app_session (Wstat: 65280 Tests: 16 Failed: 0) Non-zero exit status: 255 Parse errors: Bad plan. You planned 29 tests but ran 16. Files=10, Tests=87, 3 wallclock secs ( 0.06 usr 0.00 sys + 2.08 cusr 0.18 csys = 2.32 CPU) Result: FAIL Failed 1/10 test programs. 0/87 subtests failed. make: *** [test_dynamic] Fehler 255 BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz /usr/bin/make test -- NOT OK //hint// to see the cpan-testers results for installing this module, try: reports BOBTFISH/Catalyst-Plugin-Authentication-0.10010.tar.gz Running make install make test had returned bad status, won't install without force
Download (untitled) / with headers
text/plain 312b
I think that this error is related to either your LWP version, or your Test::WWW::Mechanize::Catalyst version. Can you try updating them and retry the install? I've been meaning to depend on the latest version of TWMC in the auth plugin anyway, so I'll make that change shortly. Thanks for the bug report. t0m
Subject: Re: [rt.cpan.org #43817] installing a new version (with cpan) doesn't work
Date: Tue, 24 Mar 2009 03:53:39 +0100
To: bug-Catalyst-Plugin-Authentication [...] rt.cpan.org
From: Mario Minati <mario.minati [...] googlemail.com>
Download (untitled) / with headers
text/plain 255b
Am Dienstag 03 März 2009 21:27:58 schrieb Tomas Doran via RT: Show quoted text
> Test::WWW::Mechanize::Catalyst
Thanks, that solved the problem. We installing WWW::Mechanize take care that port 8080 is free, otherwise the test scripts will fail. Greets, Mario Minati


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.